package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 生成状态0未生成1正本2副本3正副本
 */
public enum GenerateStatus implements IBaseEnum {
    NOT(0, "未生成", SysConstains.STYLE_DEFAULT),
    ORIGINAL(1, "正本", SysConstains.STYLE_DEFAULT),
    DUPLICATE(2, "副本", SysConstains.STYLE_DEFAULT),
    ALL(3, "正副本", SysConstains.STYLE_DEFAULT);

    private int value;
    private String desc;
    private String style;

    GenerateStatus(int value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

    public String getStyle()
    {
        return style;
    }

    public static GenerateStatus getByValue(int value) {
        for (GenerateStatus e : GenerateStatus.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return null;
    }

    public static Map<String,String> getEnumMap(int... eItem) {
        Map<String,String> resultMap= new LinkedHashMap<String,String>();
        for (GenerateStatus item : GenerateStatus.values()) {
            try{
                boolean hasE = false;
                for (int e : eItem){
                    if(item.getValue()==e){
                        hasE = true;
                        break;
                    }
                }
                if(!hasE){
                    resultMap.put(item.getValue()+"", item.getDesc());
                }
            }catch(Exception ex){
            }
        }
        return resultMap;
    }
}
