package com.mortals.xhx.module.certificate.model;

import java.util.List;
import java.util.ArrayList;
import com.mortals.xhx.module.certificate.model.vo.CertificateIndustryVo;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import org.springframework.util.ObjectUtils;

import java.io.Serializable;
import java.util.stream.Collectors;
/**
* 行业目录前端映射树结构实体类
*
* @author zxfei
* @date 2024-08-08
*/
@Data
public class CertificateIndustryTreeSelect  implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
    * 节点ID
    */
    private Long id;

    /**
    * 节点名称
    */
    private String label;

    /**
    * 子节点
    */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private List<CertificateIndustryTreeSelect> children;

    public CertificateIndustryTreeSelect(CertificateIndustryEntity entity) {
        this.id = entity.getId();
        this.label = entity.getIndustryName();
        if(!ObjectUtils.isEmpty(entity.getChildren())){
            this.children = entity.getChildren().stream().map(CertificateIndustryTreeSelect::new).collect(Collectors.toList());
        }
    }

}